Package org.flowable.cmmn.api

# Interface CmmnMigrationService

public interface CmmnMigrationService
Service to manager case instance migrations.

Author:
  Valentin Zickner

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Batch`
  `batchMigrateCaseInstancesOfCaseDefinition(String caseDefinitionKey, int caseDefinitionVersion, String caseDefinitionTenantId, CaseInstanceMigrationDocument caseInstanceMigrationDocument)`
  `Batch`
  `batchMigrateCaseInstancesOfCaseDefinition(String caseDefinitionId, CaseInstanceMigrationDocument caseInstanceMigrationDocument)`
  `Batch`
  `batchMigrateHistoricCaseInstancesOfCaseDefinition(String caseDefinitionKey, int caseDefinitionVersion, String caseDefinitionTenantId, HistoricCaseInstanceMigrationDocument historicCaseInstanceMigrationDocument)`
  `Batch`
  `batchMigrateHistoricCaseInstancesOfCaseDefinition(String caseDefinitionId, HistoricCaseInstanceMigrationDocument historicCaseInstanceMigrationDocument)`
  `CaseInstanceMigrationBuilder`
  `createCaseInstanceMigrationBuilder()`
  `CaseInstanceMigrationBuilder`
  `createCaseInstanceMigrationBuilderFromCaseInstanceMigrationDocument(CaseInstanceMigrationDocument document)`
  `HistoricCaseInstanceMigrationBuilder`
  `createHistoricCaseInstanceMigrationBuilder()`
  `HistoricCaseInstanceMigrationBuilder`
  `createHistoricCaseInstanceMigrationBuilderFromHistoricCaseInstanceMigrationDocument(HistoricCaseInstanceMigrationDocument document)`
  `CaseInstanceBatchMigrationResult`
  `getResultsOfBatchCaseInstanceMigration(String migrationBatchId)`
  `void`
  `migrateCaseInstance(String caseInstanceId, CaseInstanceMigrationDocument caseInstanceMigrationDocument)`
  `void`
  `migrateCaseInstancesOfCaseDefinition(String caseDefinitionKey, int caseDefinitionVersion, String caseDefinitionTenantId, CaseInstanceMigrationDocument caseInstanceMigrationDocument)`
  `void`
  `migrateCaseInstancesOfCaseDefinition(String caseDefinitionId, CaseInstanceMigrationDocument caseInstanceMigrationDocument)`
  `void`
  `migrateHistoricCaseInstance(String caseInstanceId, HistoricCaseInstanceMigrationDocument historicCaseInstanceMigrationDocument)`
  `void`
  `migrateHistoricCaseInstancesOfCaseDefinition(String caseDefinitionKey, int caseDefinitionVersion, String caseDefinitionTenantId, HistoricCaseInstanceMigrationDocument historicCaseInstanceMigrationDocument)`
  `void`
  `migrateHistoricCaseInstancesOfCaseDefinition(String caseDefinitionId, HistoricCaseInstanceMigrationDocument historicCaseInstanceMigrationDocument)`
  `CaseInstanceMigrationValidationResult`
  `validateMigrationForCaseInstance(String caseInstanceId, CaseInstanceMigrationDocument caseInstanceMigrationDocument)`
  `CaseInstanceMigrationValidationResult`
  `validateMigrationForCaseInstancesOfCaseDefinition(String caseDefinitionKey, int caseDefinitionVersion, String caseDefinitionTenantId, CaseInstanceMigrationDocument caseInstanceMigrationDocument)`
  `CaseInstanceMigrationValidationResult`
  `validateMigrationForCaseInstancesOfCaseDefinition(String caseDefinitionId, CaseInstanceMigrationDocument caseInstanceMigrationDocument)`

- ## Method Details

  - ### createCaseInstanceMigrationBuilder

    CaseInstanceMigrationBuilder createCaseInstanceMigrationBuilder()

  - ### createCaseInstanceMigrationBuilderFromCaseInstanceMigrationDocument

    CaseInstanceMigrationBuilder createCaseInstanceMigrationBuilderFromCaseInstanceMigrationDocument(CaseInstanceMigrationDocument document)

  - ### createHistoricCaseInstanceMigrationBuilder

    HistoricCaseInstanceMigrationBuilder createHistoricCaseInstanceMigrationBuilder()

  - ### createHistoricCaseInstanceMigrationBuilderFromHistoricCaseInstanceMigrationDocument

    HistoricCaseInstanceMigrationBuilder createHistoricCaseInstanceMigrationBuilderFromHistoricCaseInstanceMigrationDocument(HistoricCaseInstanceMigrationDocument document)

  - ### validateMigrationForCaseInstance

    CaseInstanceMigrationValidationResult validateMigrationForCaseInstance(String caseInstanceId, CaseInstanceMigrationDocument caseInstanceMigrationDocument)

  - ### validateMigrationForCaseInstancesOfCaseDefinition

    CaseInstanceMigrationValidationResult validateMigrationForCaseInstancesOfCaseDefinition(String caseDefinitionId, CaseInstanceMigrationDocument caseInstanceMigrationDocument)

  - ### validateMigrationForCaseInstancesOfCaseDefinition

    CaseInstanceMigrationValidationResult validateMigrationForCaseInstancesOfCaseDefinition(String caseDefinitionKey, int caseDefinitionVersion, String caseDefinitionTenantId, CaseInstanceMigrationDocument caseInstanceMigrationDocument)

  - ### migrateCaseInstance

    void migrateCaseInstance(String caseInstanceId, CaseInstanceMigrationDocument caseInstanceMigrationDocument)

  - ### migrateHistoricCaseInstance

    void migrateHistoricCaseInstance(String caseInstanceId, HistoricCaseInstanceMigrationDocument historicCaseInstanceMigrationDocument)

  - ### migrateCaseInstancesOfCaseDefinition

    void migrateCaseInstancesOfCaseDefinition(String caseDefinitionId, CaseInstanceMigrationDocument caseInstanceMigrationDocument)

  - ### migrateHistoricCaseInstancesOfCaseDefinition

    void migrateHistoricCaseInstancesOfCaseDefinition(String caseDefinitionId, HistoricCaseInstanceMigrationDocument historicCaseInstanceMigrationDocument)

  - ### migrateCaseInstancesOfCaseDefinition

    void migrateCaseInstancesOfCaseDefinition(String caseDefinitionKey, int caseDefinitionVersion, String caseDefinitionTenantId, CaseInstanceMigrationDocument caseInstanceMigrationDocument)

  - ### migrateHistoricCaseInstancesOfCaseDefinition

    void migrateHistoricCaseInstancesOfCaseDefinition(String caseDefinitionKey, int caseDefinitionVersion, String caseDefinitionTenantId, HistoricCaseInstanceMigrationDocument historicCaseInstanceMigrationDocument)

  - ### batchMigrateCaseInstancesOfCaseDefinition

    Batch batchMigrateCaseInstancesOfCaseDefinition(String caseDefinitionId, CaseInstanceMigrationDocument caseInstanceMigrationDocument)

  - ### batchMigrateHistoricCaseInstancesOfCaseDefinition

    Batch batchMigrateHistoricCaseInstancesOfCaseDefinition(String caseDefinitionId, HistoricCaseInstanceMigrationDocument historicCaseInstanceMigrationDocument)

  - ### batchMigrateCaseInstancesOfCaseDefinition

    Batch batchMigrateCaseInstancesOfCaseDefinition(String caseDefinitionKey, int caseDefinitionVersion, String caseDefinitionTenantId, CaseInstanceMigrationDocument caseInstanceMigrationDocument)

  - ### batchMigrateHistoricCaseInstancesOfCaseDefinition

    Batch batchMigrateHistoricCaseInstancesOfCaseDefinition(String caseDefinitionKey, int caseDefinitionVersion, String caseDefinitionTenantId, HistoricCaseInstanceMigrationDocument historicCaseInstanceMigrationDocument)

  - ### getResultsOfBatchCaseInstanceMigration

    CaseInstanceBatchMigrationResult getResultsOfBatchCaseInstanceMigration(String migrationBatchId)